Bug 106308 - Some UI bugs
Summary: Some UI bugs
Status: RESOLVED MOVED
Alias: None
Product: Bustle
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Will Thompson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-04-29 01:43 UTC by Davi
Modified: 2018-06-23 06:03 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Description Davi 2018-04-29 01:43:22 UTC
Hi, I've found a few minor UI "bugs". I think adding a report for each one of them is overkill, so I'm just gonna list them here:

- Statistics panel can be pushed out of view. Changing its "shrink" child property to False fixes the issue in my test
- The diagram needs some padding-left
- It would be nice if the menus could use the popover widget (use-popover = True in the GtkMenuButton's plus convert the GtkMenu's to <menu> models)

Thanks for your efforts!
Comment 1 Will Thompson 2018-05-15 09:33:59 UTC
> (In reply to Davi from comment #0)
> Hi, I've found a few minor UI "bugs". I think adding a report for each one
> of them is overkill, so I'm just gonna list them here:
> 
> - Statistics panel can be pushed out of view. Changing its "shrink" child
> property to False fixes the issue in my test

Good catch, thanks. Pushed https://gitlab.freedesktop.org/bustle/bustle/commit/b032ceb4521c22a45a9208793513dd4df599d49f

> - The diagram needs some padding-left

True! I think it looks best with padding on all sides. Pushed https://gitlab.freedesktop.org/bustle/bustle/commit/7e845f893eec834958026e4a5c4779f06fbb329b

> - It would be nice if the menus could use the popover widget (use-popover =
> True in the GtkMenuButton's plus convert the GtkMenu's to <menu> models)

It would be nice. The reason they don't is that gtk2hs, the handwritten Haskell bindings for Gio and friends that Bustle uses, don't cover the GAction/GMenu APIs, and I couldn't bring myself either to hand-write the bindings, or to port Bustle over to the newer gobject-introspection-based generated bindings (ie https://hackage.haskell.org/package/gi-gio). I'll leave this ticket open for that.

> Thanks for your efforts!

Thanks for the report!
Comment 2 Davi 2018-05-19 02:53:17 UTC
(In reply to Will Thompson from comment #1)
> Good catch, thanks. Pushed
> https://gitlab.freedesktop.org/bustle/bustle/commit/
> b032ceb4521c22a45a9208793513dd4df599d49f

> True! I think it looks best with padding on all sides. Pushed
> https://gitlab.freedesktop.org/bustle/bustle/commit/
> 7e845f893eec834958026e4a5c4779f06fbb329b

It's much better already! Thanks again!

> It would be nice. The reason they don't is that gtk2hs, the handwritten
> Haskell bindings for Gio and friends that Bustle uses, don't cover the
> GAction/GMenu APIs, and I couldn't bring myself either to hand-write the
> bindings, or to port Bustle over to the newer gobject-introspection-based
> generated bindings (ie https://hackage.haskell.org/package/gi-gio). I'll
> leave this ticket open for that.

Ok.
Comment 3 GitLab Migration User 2018-05-31 09:08:00 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/bustle/bustle/issues/4.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.